      subroutine inicfg(icomp,lv,an,de,pm,hf)                           INIC001
c ----------------------------------------------------------------------INIC002
c     This program module is part of the author's X-ray Library         INIC003
c     and may not be sold or reproduced for commercial purposes.        INIC004
c     Although it has been tested carefully, there is no warranty       INIC005
c     regarding accuracy or freedom from side-effects.                  INIC006
c                   (C) 1986-1994 Bernhard Rupp                         INIC007
c ----------------------------------------------------------------------INIC008
c     INICFG routine initializes print characters depending on computer INIC009
c ----------------------------------------------------------------------INIC010
      character lv,an,de,pm,hf,icomp*4                                  INIC011
      logical exists                                                    INIC012
                                                                        INIC013
      inquire (file='SEXIE.CFG',exist=exists)                           INIC014
      if (exists) then                                                  INIC015
         open (4,file='SEXIE.CFG',status='old')                         INIC016
c ---    seven lines with other info not needed for thia part of SEXIE -INIC017
         do 0001 i=1,7                                                  INIC018
 0001       read (4,'(8x,a4)') icomp                                    INIC019
         read(4,'(8x,a4)')   icomp                                      INIC020
         call upstrg (icomp,4)                                          INIC021
         close(4,status='keep')                                         INIC022
      else                                                              INIC023
         write (*,'(/a)') '  Cannot find configuration file SEXIE.CFG'  INIC024
         write (*,*) ' Resume with 7-bit TTY terminal character set'    INIC025
         icomp  = '7BIT'                                                INIC026
      end if                                                            INIC027
                                                                        INIC028
c --- define special print characters for each computer's character set INIC029
      if (icomp.eq.'IBM ') then                                         INIC030
         lv=char(179)                                                   INIC031
         an=char(143)                                                   INIC032
         de=char(248)                                                   INIC033
         pm=char(241)                                                   INIC034
         hf=char(171)                                                   INIC035
      elseif (icomp.eq.'VAX ') then                                     INIC036
         hf=char(189)                                                   INIC037
         lv=char(124)                                                   INIC038
         an=char(197)                                                   INIC039
         de=char(176)                                                   INIC040
         pm=char(177)                                                   INIC041
      else                                                              INIC042
         hf=char(189)                                                   INIC043
         lv='|'                                                         INIC044
         an='A'                                                         INIC045
         de=' '                                                         INIC046
         pm=' '                                                         INIC047
      end if                                                            INIC048
      return                                                            INIC049
      end                                                               INIC050
